Page MenuHomePhabricator

Education Dashboard localization: Incorrect parsing wiki-code
Closed, ResolvedPublic

Description

I am see some bugs due incorrect parsing wiki-code in a dashboard pages. As example, please compare https://outreachdashboard.wmflabs.org/training/editing-wikipedia/editing-basics/take-control-of-the-text and wiki-source in https://meta.wikimedia.org/wiki/Training_modules/dashboard/slides/10807-take-control-of-the-text.

Dashboard:

Meta:

Issue №1 is known bug related with using {{int:}} magic word. This is fixed (replaced into plain text).
Issue №2 - "<nowiki>" tag should be skipped or hided; this tag is needed for correctly view in wiki
Issue №3 - ?
Issue №4 - ?

Event Timeline

Kaganer created this task.Dec 5 2017, 1:44 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptDec 5 2017, 1:44 PM
Kaganer added a comment.EditedDec 5 2017, 1:49 PM

Issue №1 is known bug related with using {{int:}} magic word. This is fixed (replaced into plain text).

@Ragesoss , But this may be supported in future, or may be used template like https://www.mediawiki.org/wiki/Template:Int instead ? Or maybe planned another way for "transparency" localization (without direct typing fienames or duplicate translations for translated interface messages)?

Kaganer updated the task description. (Show Details)Dec 5 2017, 5:12 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptDec 5 2017, 5:12 PM
Kaganer updated the task description. (Show Details)Dec 5 2017, 5:14 PM
Kaganer renamed this task from Incorrect parsing wiki-code in a dashboard pages to Education Dashboard localization: Incorrect parsing wiki-code.Dec 7 2017, 1:46 PM
Kaganer added a project: I18n.
Kaganer updated the task description. (Show Details)Dec 7 2017, 4:30 PM
Ragesoss closed this task as Resolved.Apr 23 2019, 9:55 PM
Ragesoss claimed this task.

This was fixed some time ago.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 23 2019, 9:55 PM